Merge "Add releasedockerhub command to cron"
authorBengt Thuree <bthuree@linuxfoundation.org>
Tue, 7 Jan 2020 05:41:54 +0000 (05:41 +0000)
committerGerrit Code Review <gerrit@onap.org>
Tue, 7 Jan 2020 05:41:54 +0000 (05:41 +0000)
58 files changed:
global-jjb
jjb/aai/aai-chameleon.yaml [deleted file]
jjb/aai/aai-gallifrey.yaml [deleted file]
jjb/ccsdk/apps.yaml
jjb/ccsdk/cds.yaml
jjb/ccsdk/dashboard.yaml
jjb/ccsdk/distribution.yaml
jjb/ccsdk/features.yaml
jjb/ccsdk/platform-plugins.yaml
jjb/ccsdk/sli-adaptors.yaml
jjb/ccsdk/sli-core.yaml
jjb/ccsdk/sli-northbound.yaml
jjb/ccsdk/sli-plugins.yaml
jjb/ccsdk/utils.yaml
jjb/ci-management/ci-management-packer-jobs.yaml
jjb/clamp/clamp.yaml
jjb/dcaegen2/dcaegen2-platform-adapter.yaml
jjb/dcaegen2/dcaegen2-platform-mod-distributorapi.yaml [new file with mode: 0644]
jjb/dcaegen2/dcaegen2-platform-mod-onboardingapi.yaml [new file with mode: 0644]
jjb/dcaegen2/dcaegen2-platform-mod.yaml [new file with mode: 0644]
jjb/dcaegen2/dcaegen2-platform-oti-eventhandler.yaml [new file with mode: 0644]
jjb/dcaegen2/dcaegen2-platform-oti-eventproc.yaml [new file with mode: 0644]
jjb/dcaegen2/dcaegen2-services-pm-subscription-handler.yaml
jjb/demo/demo.yaml
jjb/dmaap/dmaap-dbcapi.yaml
jjb/externalapi/externalapi-nbi.yaml
jjb/integration/integration-csit.yaml
jjb/msb/msb-apigateway.yaml
jjb/msb/msb-discovery.yaml
jjb/msb/msb-java-sdk.yaml
jjb/msb/msb-swagger-sdk.yaml
jjb/multicloud/multicloud-azure-java.yaml
jjb/multicloud/multicloud-framework-java.yaml
jjb/multicloud/multicloud-openstack-vmware-java.yaml
jjb/multicloud/multicloud-openstack.yaml
jjb/policy/policy-apex-pdp.yaml
jjb/policy/policy-api.yaml
jjb/policy/policy-common.yaml
jjb/policy/policy-distribution.yaml
jjb/policy/policy-drools-applications.yaml
jjb/policy/policy-drools-pdp.yaml
jjb/policy/policy-engine.yaml
jjb/policy/policy-models.yaml
jjb/policy/policy-pap.yaml
jjb/policy/policy-parent.yaml
jjb/policy/policy-xacml-pdp.yaml
jjb/sdnc/sdnc-apps.yaml
jjb/sdnc/sdnc-northbound.yaml
jjb/sdnc/sdnc-oam.yaml
jjb/so/so-libs.yaml
jjb/so/so.yaml
jjb/vid/vid.yaml
jjb/vnfsdk/vnfsdk-functest.yaml
jjb/vnfsdk/vnfsdk-refrepo.yaml
jjb/vnfsdk/vnfsdk-validation.yaml
jjb/vnfsdk/vnfsdk-ves-agent.yaml
packer/provision/local-builder.yaml
shell/docker-ts-tag-override.sh [new file with mode: 0755]

index aee2dcb..a2cfbc6 160000 (submodule)
@@ -1 +1 @@
-Subproject commit aee2dcb2ba92589124fbdfd9cd48cb29529063da
+Subproject commit a2cfbc66e675655ed0fb7d76862fdc044d96678d
diff --git a/jjb/aai/aai-chameleon.yaml b/jjb/aai/aai-chameleon.yaml
deleted file mode 100644 (file)
index 4b10074..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
----
-- project:
-    name: aai-chameleon-project-view
-    project-name: aai-chameleon
-    views:
-      - project-view
-
-- project:
-    name: aai-chameleon
-    project-name: 'aai-chameleon'
-    jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
-      - gerrit-maven-stage:
-          sign-artifacts: true
-          build-node: centos7-builder-4c-4g
-          maven-versions-plugin: true
-      - gerrit-maven-docker-stage:
-          mvn-params: 'package dockerfile:build dockerfile:push -B -Dmaven.test.skip=true -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn'
-          build-node: ubuntu1604-docker-8c-8g
-          container-public-registry: 'nexus3.onap.org:10001'
-          container-staging-registry: 'nexus3.onap.org:10003'
-      - '{project-name}-gerrit-release-jobs':
-          build-node: centos7-docker-8c-8g
-    project: 'aai/chameleon'
-    stream:
-      - 'elalto':
-          branch: 'elalto'
-      - 'master':
-          branch: 'master'
-    mvn-settings: 'aai-chameleon-settings'
-    files: '**'
-    archive-artifacts: ''
-    build-node: ubuntu1604-builder-4c-4g
-
-- project:
-    name: aai-chameleon-clm
-    jobs:
-      - gerrit-maven-clm
-    nexus-iq-namespace: 'onap-'
-    project: 'aai/chameleon'
-    project-name: 'aai-chameleon'
-    stream:
-      - 'master':
-          branch: 'master'
-    mvn-settings: 'aai-chameleon-settings'
-
-- project:
-    name: aai-chameleon-info
-    project-name: aai-chameleon
-    jobs:
-      - gerrit-info-yaml-verify
-    project: aai/chameleon
-    branch: master
diff --git a/jjb/aai/aai-gallifrey.yaml b/jjb/aai/aai-gallifrey.yaml
deleted file mode 100644 (file)
index cbce3ed..0000000
+++ /dev/null
@@ -1,47 +0,0 @@
----
-- project:
-    name: aai-gallifrey
-    project-name: 'aai-gallifrey'
-    jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
-      - gerrit-maven-stage:
-          sign-artifacts: true
-          build-node: centos7-builder-4c-4g
-          maven-versions-plugin: true
-      - gerrit-maven-docker-stage:
-          mvn-params: 'package dockerfile:build dockerfile:push -B -Dmaven.test.skip=true -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn'
-          build-node: ubuntu1604-docker-8c-8g
-          container-public-registry: 'nexus3.onap.org:10001'
-          container-staging-registry: 'nexus3.onap.org:10003'
-      - '{project-name}-gerrit-release-jobs':
-          build-node: centos7-docker-8c-8g
-    project: 'aai/gallifrey'
-    stream:
-      - 'elalto':
-          branch: 'elalto'
-      - 'master':
-          branch: 'master'
-    mvn-settings: 'aai-gallifrey-settings'
-    files: '**'
-    archive-artifacts: ''
-
-- project:
-    name: aai-gallifrey-clm
-    jobs:
-      - gerrit-maven-clm
-    nexus-iq-namespace: 'onap-'
-    project: 'aai/gallifrey'
-    project-name: 'aai-gallifrey'
-    stream:
-      - 'master':
-          branch: 'master'
-    mvn-settings: 'aai-gallifrey-settings'
-
-- project:
-    name: aai-gallifrey-info
-    project-name: aai-gallifrey
-    jobs:
-      - gerrit-info-yaml-verify
-    project: aai/gallifrey
-    branch: master
index 6e690fa..c69c670 100644 (file)
@@ -9,11 +9,13 @@
     name: ccsdk-apps
     project-name: 'ccsdk-apps'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - gerrit-maven-docker-stage:
           build-node: ubuntu1604-docker-8c-8g
           container-public-registry: 'nexus3.onap.org:10001'
@@ -39,6 +41,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-apps-sonar
index ea3d291..4104859 100644 (file)
@@ -3,12 +3,14 @@
     name: ccsdk-cds
     project-name: 'ccsdk-cds'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
           maven-versions-plugin: true
+          cron: ''
       - gerrit-maven-docker-stage:
           build-node: ubuntu1604-docker-8c-8g
           container-public-registry: 'nexus3.onap.org:10001'
@@ -16,6 +18,7 @@
           mvn-params: '-Dmaven.test.skip=true -P docker'
           maven-version: "mvn35"
           maven-versions-plugin: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -35,6 +38,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-cds-sonar
index 298afa2..727b6ee 100644 (file)
@@ -3,10 +3,12 @@
     name: ccsdk-dashboard
     project-name: 'ccsdk-dashboard'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -25,6 +27,8 @@
     files: '**'
     archive-artifacts: ''
     build-node: ubuntu1604-docker-8c-8g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-dashboard-sonar
index 104ebc4..aea76c6 100644 (file)
@@ -3,12 +3,14 @@
     name: ccsdk-distribution
     project-name: 'ccsdk-distribution'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
           maven-versions-plugin: true
+          cron: ''
       - gerrit-maven-docker-stage:
           build-node: ubuntu1604-docker-8c-8g
           container-public-registry: 'nexus3.onap.org:10001'
@@ -16,6 +18,7 @@
           mvn-params: '-Dmaven.test.skip=true -P docker'
           maven-version: "mvn35"
           maven-versions-plugin: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
     project: 'ccsdk/distribution'
@@ -33,6 +36,8 @@
     docker-pom: 'pom.xml'
     mvn-profile: docker
     build-node: ubuntu1604-docker-8c-8g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 
 #- project:
index a5df9d0..90837d7 100644 (file)
@@ -3,11 +3,13 @@
     name: ccsdk-features
     project-name: 'ccsdk-features'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
     files: '**'
     archive-artifacts: ''
     maven-version: "mvn35"
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
+    mvn-opts: '-Xmx3072m -XX:MaxPermSize=1024m'
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-features-sonar
index e344e88..3dcb729 100644 (file)
@@ -3,11 +3,13 @@
     name: ccsdk-platform-plugins
     project-name: 'ccsdk-platform-plugins'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -26,6 +28,8 @@
     files: '**'
     archive-artifacts: ''
     build-node: centos7-redis-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-platform-plugins-sonar
index 23480cf..3430516 100644 (file)
@@ -3,11 +3,13 @@
     name: ccsdk-sli-adaptors
     project-name: 'ccsdk-sli-adaptors'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -29,6 +31,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-sli-adaptors-sonar
index 9f41d4c..868151a 100644 (file)
@@ -3,11 +3,13 @@
     name: ccsdk-sli-core
     project-name: 'ccsdk-sli-core'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -29,6 +31,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-sli-core-sonar
index 99116ce..73ea823 100644 (file)
@@ -3,10 +3,12 @@
     name: ccsdk-sli-northbound
     project-name: 'ccsdk-sli-northbound'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -29,6 +31,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-sli-northbound-sonar
index e4c7429..71ce51b 100644 (file)
@@ -3,11 +3,13 @@
     name: ccsdk-sli-plugins
     project-name: 'ccsdk-sli-plugins'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -29,6 +31,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-sli-plugins-sonar
index 03350a8..7b49b60 100644 (file)
@@ -3,11 +3,13 @@
     name: ccsdk-utils
     project-name: 'ccsdk-utils'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           build-node: centos7-builder-4c-4g
           sign-artifacts: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -23,6 +25,8 @@
       deployAtEnd=true
     files: '**'
     archive-artifacts: ''
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: ccsdk-utils-clm
index 8b96a2a..7d3fd78 100644 (file)
@@ -16,6 +16,7 @@
       - centos-7
       - ubuntu-16.04
       - ubuntu-16.04-arm64
+      - ubuntu-18.04
     templates: builder
 
 - project:
index c2f2d5f..b3dae54 100644 (file)
     jobs:
       - gerrit-maven-sonar:
           mvn-params: '-Ddocker.pull.registry=nexus3.onap.org:10001'
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-docker-8c-8g
     project: 'clamp'
index bb0a9f7..a203a75 100644 (file)
     name: dcaegen2-platform-aoadapter
     # root of docker build
     docker-root: adapter/acumos
+    # tag override
+    docker-get-container-tag-script: ../../shell/docker-ts-tag-override.sh
     # image name
-    docker-name: '{name}'
+    docker-name: 'onap/{name}'
     stream:
       - master:
             branch: master
     jobs:
       - gerrit-tox-sonar
     cron: '@daily'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-aoadapter-clm
+    docker-root: adapter/acumos
+    jobs:
+      - gerrit-maven-clm
+    nexus-iq-namespace: 'onap-'
+    project-name: 'dcaegen2-platform-aoadapter-clm'
+    mvn-params: '-f adapter/acumos/pom.xml'
+    branch: 'master'
+
diff --git a/jjb/dcaegen2/dcaegen2-platform-mod-distributorapi.yaml b/jjb/dcaegen2/dcaegen2-platform-mod-distributorapi.yaml
new file mode 100644 (file)
index 0000000..1210edb
--- /dev/null
@@ -0,0 +1,45 @@
+---
+# dcagen2_platform_common is defined in dcaegen2-platform-adapter.yaml
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-mod-distributorapi
+    # root of docker build
+    docker-root: mod/distributorapi
+    # image name
+    docker-name: '{name}'
+    stream:
+      - master:
+            branch: master
+    jobs:
+      - '{project-name}-gerrit-docker-jobs'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcagen2-platform-mod-distributorapi-verify
+    docker-root: mod/distributorapi
+    stream:
+      - all:
+            branch: '*'
+    jobs:
+      - gerrit-tox-verify
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-mod-distributorapi-sonar
+    docker-root: mod/distributorapi
+    branch: master
+    jobs:
+      - gerrit-tox-sonar
+    cron: '@daily'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-mod-distributorapi-clm
+    docker-root: mod/distributorapi
+    jobs:
+      - gerrit-maven-clm
+    nexus-iq-namespace: 'onap-'
+    project-name: 'dcaegen2-platform-mod-distributorapi-clm'
+    mvn-params: '-f mod/distributorapi/pom.xml'
+    branch: 'master'
diff --git a/jjb/dcaegen2/dcaegen2-platform-mod-onboardingapi.yaml b/jjb/dcaegen2/dcaegen2-platform-mod-onboardingapi.yaml
new file mode 100644 (file)
index 0000000..ca63a42
--- /dev/null
@@ -0,0 +1,45 @@
+---
+# dcagen2_platform_common is defined in dcaegen2-platform-adapter.yaml
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-mod-onboardingapi
+    # root of docker build
+    docker-root: mod/onboardingapi
+    # image name
+    docker-name: '{name}'
+    stream:
+      - master:
+            branch: master
+    jobs:
+      - '{project-name}-gerrit-docker-jobs'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcagen2-platform-mod-onboardingapi-verify
+    docker-root: mod/onboardingapi
+    stream:
+      - all:
+            branch: '*'
+    jobs:
+      - gerrit-tox-verify
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-mod-onboardingapi-sonar
+    docker-root: mod/onboardingapi
+    branch: master
+    jobs:
+      - gerrit-tox-sonar
+    cron: '@daily'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-mod-onboardingapi-clm
+    docker-root: mod/onboardingapi
+    jobs:
+      - gerrit-maven-clm
+    nexus-iq-namespace: 'onap-'
+    project-name: 'dcaegen2-platform-mod-onboardingapi-clm'
+    mvn-params: '-f mod/onboardingapi/pom.xml'
+    branch: 'master'
diff --git a/jjb/dcaegen2/dcaegen2-platform-mod.yaml b/jjb/dcaegen2/dcaegen2-platform-mod.yaml
new file mode 100644 (file)
index 0000000..1baf6c0
--- /dev/null
@@ -0,0 +1,8 @@
+---
+
+- project:
+    name: dcaegen2-platform-mod-project-view
+    project-name: dcaegen2-platform-mod
+    views:
+      - project-view
+
diff --git a/jjb/dcaegen2/dcaegen2-platform-oti-eventhandler.yaml b/jjb/dcaegen2/dcaegen2-platform-oti-eventhandler.yaml
new file mode 100644 (file)
index 0000000..fa64115
--- /dev/null
@@ -0,0 +1,45 @@
+---
+# dcagen2_platform_common is defined in dcaegen2-platform-adapter.yaml
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-oti-event-handler
+    # root of docker build
+    docker-root: oti/event-handler
+    # image name
+    docker-name: '{name}'
+    stream:
+      - master:
+            branch: master
+    jobs:
+      - '{project-name}-gerrit-docker-jobs'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcagen2-platform-oti-event-handler-verify
+    docker-root: oti/event-handler
+    stream:
+      - all:
+            branch: '*'
+    jobs:
+      - gerrit-tox-verify
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-oti-event-handler-sonar
+    docker-root: oti/event-handler
+    branch: master
+    jobs:
+      - gerrit-tox-sonar
+    cron: '@daily'
+
+- project:
+    <<: *dcaegen2_platform_common
+    name: dcaegen2-platform-oti-event-handler-clm
+    docker-root: oti/event-handler
+    jobs:
+      - gerrit-maven-clm
+    nexus-iq-namespace: 'onap-'
+    project-name: 'dcaegen2-platform-oti-event-handler-clm'
+    mvn-params: '-f oti/event-handler/pom.xml'
+    branch: 'master'
diff --git a/jjb/dcaegen2/dcaegen2-platform-oti-eventproc.yaml b/jjb/dcaegen2/dcaegen2-platform-oti-eventproc.yaml
new file mode 100644 (file)
index 0000000..d295171
--- /dev/null
@@ -0,0 +1,80 @@
+---
+- project:
+    name: dcaegen2-platform-oti-event-proc
+    project-name: dcaegen2-platform-oti
+    # git repo
+    project: dcaegen2/platform
+    jobs:
+      - '{project-name}-{stream}-{subproject}-verify-java'
+      - '{project-name}-{stream}-{subproject}-merge-java':
+          mvn-goals: 'clean install'
+    subproject:
+      - eventproc:
+          pom: 'oti/event-proc/pom.xml'
+          pattern: 'oti/event-proc/**'
+    stream:
+      - 'master':
+          branch: 'master'
+    mvn-settings: dcaegen2-platform-settings
+    files: '**'
+    archive-artifacts: ''
+    build-node: ubuntu1604-docker-8c-8g
+
+- project:
+    name: dcaegen2-platform-oti-event-proc-release
+    project: 'dcaegen2/platform'
+    project-name: 'dcaegen2-platform-oti-event-proc'
+    jobs:
+      - gerrit-maven-stage:
+          sign-artifacts: true
+          build-node: centos7-docker-8c-8g
+          maven-versions-plugin: true
+          version-properties-file: 'oti/event-proc/version.properties'
+          mvn-pom: 'oti/event-proc/pom.xml'
+          mvn-params: '-f oti/event-proc/pom.xml'
+          mvn-goals: 'clean deploy -Ddockerfile.skip -f oti/event-proc/pom.xml'
+          pattern: 'oti/event-proc/**'
+      - gerrit-maven-docker-stage:
+          build-node: ubuntu1604-docker-8c-8g
+          mvn-goals: 'clean package dockerfile:build dockerfile:push -f oti/event-proc/pom.xml'
+          container-public-registry: 'nexus3.onap.org:10001'
+          container-staging-registry: 'nexus3.onap.org:10003'
+          pattern: 'oti/event-proc/**'
+
+    stream:
+      - 'master':
+          branch: 'master'
+    mvn-settings: 'dcaegen2-platform-settings'
+    maven-deploy-properties: |
+      deployAtEnd=true
+    files: '**'
+    archive-artifacts: ''
+    build-node: 'ubuntu1604-docker-8c-8g'
+
+- project:
+    name: dcaegen2-platform-oti-event-proc-sonar
+    jobs:
+      - gerrit-maven-sonar
+    cron: '@daily'
+    build-node: ubuntu1604-builder-4c-4g
+    project: 'dcaegen2/platform'
+    project-name: 'dcaegen2-platform-oti-event-proc'
+    branch: 'master'
+    mvn-settings: 'dcaegen2-platform-settings'
+    mvn-params: '-f oti/event-proc/pom.xml'
+    mvn-goals: 'clean install'
+    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
+
+
+- project:
+    name: dcaegen2-platform-oti-event-proc-clm
+    jobs:
+      - gerrit-maven-clm
+    nexus-iq-namespace: 'onap-'
+    build-node: ubuntu1604-docker-8c-8g
+    project: 'dcaegen2/platform'
+    project-name: dcaegen2-platform-oti-event-proc-clm
+    mvn-params: '-f oti/event-proc/pom.xml'
+    branch: 'master'
+    mvn-settings: 'dcaegen2-platform-settings'
+
index 7839270..7a84545 100644 (file)
@@ -1,75 +1,81 @@
 ---
+- dcaegen2_services_common: &dcaegen2_services_common
+    # values apply to all dcaegen2_services docker projects
+    name: dcaegen2-services-docker-common
+    project: dcaegen2/services
+    # maven settings file has docker credentials
+    mvn-settings: dcaegen2-services-settings
+    # use host network to clone from our gerrit
+    container-tag-method: latest
+    build-node: ubuntu1604-docker-8c-8g
+    # jenkins job name prefix
+    project-name: '{name}'
+    tox-dir: '{docker-root}'
+    # build only on relevant changes
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: '{docker-root}/.*'
+
 - project:
+    <<: *dcaegen2_services_common
+    name: dcaegen2-services-pmsh
+    # root of docker build
+    docker-root: components/pm-subscription-handler
+    # tag override
+    # Following is dependent on merge https://gerrit.onap.org/r/#/c/ci-management/+/99313/
+    # docker-get-container-tag-script: '../../shell/docker-ts-tag-override.sh'
+    # image name
+    docker-name: 'onap/{name}'
+    stream:
+      - master:
+            branch: master
+    jobs:
+      - gerrit-docker-verify
+      - gerrit-docker-merge
+
+- project:
+    <<: *dcaegen2_services_common
+    name: dcaegen2-services-pmsh-verify
+    docker-root: components/pm-subscription-handler
+    stream:
+      - all:
+            branch: '*'
+    jobs:
+      - gerrit-tox-verify
+
+- project:
+    <<: *dcaegen2_services_common
+    name: dcaegen2-services-pmsh-sonar
+    docker-root: components/pm-subscription-handler
+    branch: master
+    jobs:
+      - gerrit-tox-sonar
+    cron: '@daily'
+
+- project:
+    <<: *dcaegen2_services_common
+    docker-root: components/pm-subscription-handler
     name: dcaegen2-services-pmsh-release
-    project: dcaegen2/services
     project-name: dcaegen2-services-pmsh-release
     jobs:
-      - gerrit-maven-docker-stage:
-          build-node: ubuntu1604-docker-8c-8g
-          maven-versions-plugin: true
-          version-properties-file: 'components/pm-subscription-handler/version.properties'
-          mvn-pom: 'components/pm-subscription-handler/pom.xml'
-          mvn-goals: 'clean deploy -f components/pm-subscription-handler/pom.xml'
-          container-public-registry: 'nexus3.onap.org:10001'
-          container-staging-registry: 'nexus3.onap.org:10003'
-          pattern: 'components/pm-subscription-handler/**'
       - '{project-name}-gerrit-release-jobs':
               build-node: centos7-docker-8c-8g
     stream:
       - 'master':
           branch: master
-    mvn-settings: dcaegen2-services-settings
     maven-deploy-properties: |
       deployAtEnd=true
     files: '**'
     archive-artifacts: ''
-    build-node: ubuntu1604-docker-8c-8g
 
 - project:
-    name: dcaegen2-services-pmsh
-    project: dcaegen2/services
-    project-name: dcaegen2-services
-    tox-dir: components/pm-subscription-handler/
-    gerrit_trigger_file_paths:
-      - compare-type: REG_EXP
-        pattern: 'components/pm-subscription-handler/**'
-    subproject:
-      - 'pmsh':
-          pom: 'components/pm-subscription-handler/pom.xml'
-          pattern: 'components/pm-subscription-handler/**'
-    mvn-settings: dcaegen2-services-settings
-    maven-deploy-properties: |
-      deployAtEnd=true
-    files: '**'
-    archive-artifacts: ''
-    build-node: ubuntu1604-docker-8c-8g
-    # used by tox-install.sh to specify the interpreter used to install tox
-    python-version: python3
+    <<: *dcaegen2_services_common
+    name: dcaegen2-services-pmsh-clm
+    docker-root: components/pm-subscription-handler
     jobs:
-      # clm and tox
-      - '{project-name}-python-jobs'
-      # build docker image
-      - '{project-name}-{stream}-{subproject}-merge-java'
-    stream:
-      - master:
-          branch: master
-
-- project:
-    name: dcaegen2-services-pmsh-sonar
-    python-version: python3
-    tox-dir: components/pm-subscription-handler/
-    gerrit_trigger_file_paths:
-      - compare-type: REG_EXP
-        pattern: 'components/pm-subscription-handler/**'
-    jobs:
-      - gerrit-tox-sonar
-    cron: '@daily'
-    build-node: ubuntu1604-builder-4c-4g
-    project: dcaegen2/services
-    project-name: dcaegen2-services-pmsh
-    branch: master
-    mvn-settings: dcaegen2-services-settings
+      - gerrit-maven-clm
+    nexus-iq-namespace: 'onap-'
+    project-name: 'dcaegen2-services-pmsh-clm'
     mvn-params: '-f components/pm-subscription-handler/pom.xml'
-    mvn-goals: 'clean test'
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
+    branch: 'master'
 
index 49eea28..fffa81d 100644 (file)
     name: demo-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'demo'
index a3f690b..94cc44b 100644 (file)
@@ -9,6 +9,8 @@
           sign-artifacts: true
           build-node: centos7-builder-4c-4g
           maven-versions-plugin: true
+      - '{project-name}-gerrit-release-jobs':
+          build-node: centos7-docker-8c-8g
 
     project: 'dmaap/dbcapi'
     mvn-settings: 'dmaap-dbcapi-settings'
index 4c69d4c..47fcf39 100644 (file)
     name: externalapi-nbi-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'externalapi/nbi'
index 5a0eedd..8f8e094 100644 (file)
       - 'vCPE':
           trigger_jobs:
     robot-options: ''
+
+- project:
+    name: integration-csit-info
+    project-name: integration-csit
+    jobs:
+      - gerrit-info-yaml-verify
+    project: integration/csit
+    branch: master
index ec98862..6a51fc5 100644 (file)
     name: msb-apigateway-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'msb/apigateway'
index 3e2fe17..149238e 100644 (file)
     name: msb-discovery-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'msb/discovery'
index 4367193..579f463 100644 (file)
     name: msb-java-sdk-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'msb/java-sdk'
index 8e5a1ce..09426a2 100644 (file)
     name: msb-swagger-sdk-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'msb/swagger-sdk'
index 7ac4fca..b8bf8a1 100644 (file)
     name: multicloud-azure-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/azure'
index 388f94c..d5e24d2 100644 (file)
     name: multicloud-framework-multivimbroker-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/framework'
     name: multicloud-framework-artifactbroker-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/framework'
index c297872..205d374 100644 (file)
     name: multicloud-openstack-vmware-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/openstack/vmware'
index da9605f..eefdc77 100644 (file)
     name: multicloud-openstack-windriver-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/openstack'
     name: multicloud-openstack-pike-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/openstack'
     name: multicloud-openstack-starlingx-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/openstack'
     name: multicloud-openstack-fcaps-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'multicloud/openstack'
 #    name: multicloud-openstack-lenovo-sonar
 #    jobs:
 #      - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
 #    cron: '@daily'
 #    build-node: ubuntu1604-builder-4c-4g
 #    project: 'multicloud/openstack'
index 9262dd6..67d3474 100644 (file)
@@ -31,8 +31,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-apex-pdp-settings'
     files: '**'
     archive-artifacts: ''
index ac1ef40..538f117 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-api-settings'
     files: '**'
     archive-artifacts: ''
index 60e0771..ec7d783 100644 (file)
@@ -16,9 +16,8 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-common-settings'
+    java-version: openjdk11
     files: '**'
     archive-artifacts: ''
     build-node: ubuntu1604-builder-4c-4g
@@ -38,6 +37,7 @@
     project-name: 'policy-common'
     branch: 'master'
     mvn-settings: 'policy-common-settings'
+    java-version: openjdk11
     mvn-goals: 'clean install'
     mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
 
@@ -50,6 +50,7 @@
     project-name: 'policy-common'
     branch: 'master'
     mvn-settings: 'policy-common-settings'
+    java-version: openjdk11
 
 - project:
     name: policy-common-info
index d04ec6f..c4ae3aa 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-distribution-settings'
     files: '**'
     archive-artifacts: ''
index 2274fe5..905958d 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-drools-applications-settings'
     files: '**'
     archive-artifacts: ''
@@ -59,6 +57,7 @@
     project-name: 'policy-drools-applications'
     branch: 'master'
     mvn-settings: 'policy-drools-applications-settings'
+    build-node: ubuntu1604-docker-8c-8g
 
 - project:
     name: policy-drools-applications-info
index 1d38b69..93002e1 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-drools-pdp-settings'
     files: '**'
     archive-artifacts: ''
index bacfce4..d1d113e 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-engine-settings'
     files: '**'
     archive-artifacts: ''
@@ -48,7 +46,7 @@
     branch: 'master'
     mvn-settings: 'policy-engine-settings'
     mvn-goals: 'clean install'
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
+    mvn-opts: '-Xmx2048m -XX:MaxPermSize=512m'
 
 - project:
     name: policy-engine-clm
index 3d811b7..1325ddb 100644 (file)
@@ -16,8 +16,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-models-settings'
     files: '**'
     archive-artifacts: ''
index a63971e..4f03585 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-pap-settings'
     files: '**'
     archive-artifacts: ''
index ef6891c..86a5326 100644 (file)
@@ -16,9 +16,8 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-parent-settings'
+    java-version: openjdk11
     files: '**'
     archive-artifacts: ''
     build-node: ubuntu1604-builder-4c-4g
@@ -32,6 +31,7 @@
     project-name: 'policy-parent'
     branch: 'master'
     mvn-settings: 'policy-parent-settings'
+    java-version: openjdk11
 
 - project:
     name: policy-parent-info
index 96bada6..7c376b7 100644 (file)
@@ -25,8 +25,6 @@
     stream:
       - 'master':
           branch: 'master'
-      - 'elalto':
-          branch: 'elalto'
     mvn-settings: 'policy-xacml-pdp-settings'
     files: '**'
     archive-artifacts: ''
index 2de80e0..882796a 100644 (file)
@@ -9,17 +9,20 @@
     name: sdnc-apps
     project-name: 'sdnc-apps'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           sign-artifacts: true
           build-node: centos7-builder-4c-4g
+          cron: ''
       - gerrit-maven-docker-stage:
           build-node: ubuntu1604-docker-8c-8g
           container-public-registry: 'nexus3.onap.org:10001'
           container-staging-registry: 'nexus3.onap.org:10003'
           mvn-params: '-Dmaven.test.skip=true -P docker'
           maven-version: "mvn35"
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -42,6 +45,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: sdnc-apps-sonar
index 507d044..20665a3 100644 (file)
@@ -3,11 +3,13 @@
     name: sdnc-northbound
     project-name: 'sdnc-northbound'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           sign-artifacts: true
           build-node: centos7-builder-4c-4g
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
 
@@ -30,6 +32,8 @@
     archive-artifacts: ''
     maven-version: "mvn35"
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 - project:
     name: sdnc-northbound-sonar
index d748105..563f474 100644 (file)
@@ -4,12 +4,14 @@
     name: sdnc-oam
     project-name: 'sdnc-oam'
     jobs:
-      - '{project-name}-{stream}-verify-java'
-      - '{project-name}-{stream}-merge-java'
+      - gerrit-maven-verify
+      - gerrit-maven-merge:
+          cron: '@daily'
       - gerrit-maven-stage:
           sign-artifacts: true
           build-node: centos7-builder-4c-4g
           maven-versions-plugin: true
+          cron: ''
       - gerrit-maven-docker-stage:
           build-node: ubuntu1604-docker-8c-8g
           container-public-registry: 'nexus3.onap.org:10001'
@@ -17,6 +19,7 @@
           mvn-params: '-Dmaven.test.skip=true -P docker'
           maven-version: "mvn35"
           maven-versions-plugin: true
+          cron: ''
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
     project: 'sdnc/oam'
@@ -32,6 +35,8 @@
     files: '**'
     archive-artifacts: ''
     build-node: ubuntu1604-builder-4c-4g
+    mvn-snapshot-id: 'ecomp-snapshots'
+    nexus-snapshot-repo: 'snapshots'
 
 #
 #- project:
index 8ad44cb..acc45f1 100644 (file)
     name: so-libs-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'so/libs'
index 9d7d894..4b63bf4 100644 (file)
     name: so-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     max-git-repo-age-hours: 48
     build-node: ubuntu1604-builder-4c-4g
index b0845fd..bc4b64d 100644 (file)
     name: vid-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'vid'
index 30a1de5..583b7b6 100644 (file)
     name: vnfsdk-functest-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'vnfsdk/functest'
index db4954b..53efe17 100644 (file)
     name: vnfsdk-refrepo-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'vnfsdk/refrepo'
index 1709243..b3a664f 100644 (file)
     name: vnfsdk-validation-sonar
     jobs:
       - gerrit-maven-sonar
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'vnfsdk/validation'
index 8bcbd0b..52751aa 100644 (file)
           make-opts: -j6
           stream: master
           build-node: centos7-builder-4c-4g
+    sonarcloud: true
+    sonarcloud-project-organization: '{sonarcloud_project_organization}'
+    sonarcloud-api-token: '{sonarcloud_api_token}'
+    sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
+    sonar-mvn-goal: "org.sonarsource.scanner.maven:sonar-maven-plugin:3.6.0.1398:sonar"
     cron: '@daily'
     build-node: ubuntu1604-builder-4c-4g
     project: 'vnfsdk/ves-agent'
index 10c3c40..c156150 100644 (file)
@@ -6,12 +6,6 @@
   become_method: sudo
 
   tasks:
-    - apt_repository:
-        repo: ppa:jonathonf/python-3.6
-        state: present
-      become: true
-      when: ansible_distribution == 'Ubuntu'
-
     - apt_repository:
         repo: ppa:deadsnakes/ppa
         state: present
diff --git a/shell/docker-ts-tag-override.sh b/shell/docker-ts-tag-override.sh
new file mode 100755 (executable)
index 0000000..e14d2e5
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# ================================================================================
+# Copyright (c) 2019 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+
+set -feu -o pipefail
+
+echo "--> docker-ts-tag-override.sh"
+
+# Get project version from pom.xml
+version=`xmllint --xpath "//*[local-name()='project']/*[local-name()='version']/text()" $DOCKER_ROOT/pom.xml`
+echo "INFO: version from pom file $version"
+
+# Some pom has -SNAPSHOT or -STAGING under pom version, remove all text
+version="${version//[^0-9.]/}"
+
+# Get build TS for specifying in the tag
+timestamp=$(date +%C%y%m%dT%H%M%SZ)
+
+# Following the https://wiki.onap.org/display/DW/Independent+Versioning+and+Release+Process
+# IndependentVersioningandReleaseProcess-StandardizedDockerTagging
+# ONAP Tag requirement :  {imagename}:{semver}-SNAPSHOT-{timestamp}Z (from CIMAN-132)
+
+if [[ $version =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; then
+  tag="${version}-SNAPSHOT-${timestamp}"
+else
+  # Default to latest tag with TS if not conforming to semantic versioning
+  echo "WARN: version not complaint to sem-ver; tag defaulted to latest"
+  version=latest
+  tag="${version}-${timestamp}"
+fi
+
+echo "INFO: docker tag is $tag"
+
+# Write DOCKER_IMAGE_TAG information to a file so it can be
+# injected into the environment for following steps
+echo "DOCKER_IMAGE_TAG=$tag" >> "$WORKSPACE/env_docker_inject.txt"